- Qt 6.11
- Qt Core
- C++ Classes
- QScopedPointer
- Qt 6.11.1 Reference Documentation

# Obsolete Members for QScopedPointer

The following members of class QScopedPointer are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.2)` void | swap(QScopedPointer<T, Cleanup> &other)
`(deprecated in 6.1)` T * | take()

## Related Non-Members

`(deprecated in 6.2)` void | swap(QScopedPointer<T, Cleanup> &lhs, QScopedPointer<T, Cleanup> &rhs)

## Member Function Documentation

### `[noexcept, deprecated in 6.2]` void QScopedPointer::swap(QScopedPointer<T, Cleanup> &other)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Use `std::unique_ptr` instead; this function may let a pointer escape its scope.

Swaps this scoped pointer with other. This operation is very fast and never fails.

### `[noexcept, deprecated in 6.1]` T *QScopedPointer::take()

This function is deprecated since 6.1. We strongly advise against using it in new code.

Use `std::unique_ptr` and `release()` instead.

Returns the value of the pointer referenced by this object. The pointer of this QScopedPointer object will be reset to `nullptr`.

Callers of this function take ownership of the pointer.

## Related Non-Members

### `[noexcept, deprecated in 6.2]` void swap(QScopedPointer<T, Cleanup> &lhs, QScopedPointer<T, Cleanup> &rhs)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Use `std::unique_ptr` instead; this function may let a pointer escape its scope.

Swaps lhs with rhs.